Update a flow test (rename, set or clear its monitor schedule)
PATCH
/v1/flows/{id}
const url = 'https://api.monita.ai/v1/flows/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","schedule":"daily@09:00","provider":"cloudflare","regions":["us-west-2"],"proxies":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.monita.ai/v1/flows/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "schedule": "daily@09:00", "provider": "cloudflare", "regions": [ "us-west-2" ], "proxies": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
schedule
string
Example
daily@09:00provider
string
regions
Array<string>
proxies
boolean
Responses
Section titled “Responses”OK
Media typeapplication/json
object
ok
required
boolean
schedule
required
string
nextRunAt
required
number
Example
{ "schedule": "daily@09:00"}Advanced-run tier not enabled for this org
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}